package com.pj.project4sp.config;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.pj.utils.so.SoMap;

/**
 * Mapper: sp_config -- 配置信息表
 * @author click33 
 */

@Mapper
@Repository
public interface SpConfigMapper {

	/**
	 * 增  
	 * @param s 实体对象 
	 * @return 受影响行数 
	 */
	int add(SpConfig s);

	/**
	 * 删  
	 * @param id 要删除的数据id  
	 * @return 受影响行数 
	 */
	int delete(Long id);	 

	/** 
	 * 改  
	 * @param s 实体对象 
	 * @return 受影响行数 
	 */
	int update(SpConfig s);

	/** 
	 * 查 - 根据id  
	 * @param id 要查询的数据id 
	 * @return 实体对象 
	 */
	SpConfig getById(Long id);	 

	/** 
	 * 查 - 根据name 
	 * @param name 要查询的数据name 
	 * @return 实体对象 
	 */
	SpConfig getByName(String name);	 

	/**
	 * 查集合 - 根据条件（参数为空时代表忽略指定条件）
	 * @param so 参数集合 
	 * @return 数据列表 
	 */
	List<SpConfig> getList(SoMap so);

	/**
	 * 查询一组配置的值
	 * @return 数据列表 
	 */
	List<SpConfig> getListByNames(@Param("names") List<String> names);

	/**
	 * 查所有分组 
	 * @return 数据列表 
	 */
	List<String> getGroupList();

}
